scala.tools.nsc.ast

# TreeBrowsers

#### abstract class TreeBrowsers extends AnyRef

Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

Source
  TreeBrowsers.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Known Subclasses
treeBrowsers
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeBrowsers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeBrowsers()

### Type Members

1. #### class ASTTreeModel extends TreeModel

   Tree model for abstract syntax trees

2. #### class BrowserFrame extends AnyRef

   A window that can host the Tree widget and provide methods for displaying information

   A window that can host the Tree widget and provide methods for displaying information

   Version

     1.0

3. #### case class ProgramTree(units: List[UnitTree]) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

4. #### class SwingBrowser extends AnyRef

   Java Swing pretty printer for Scala abstract syntax trees.

5. #### class TextInfoPanel extends JTextArea

   Present detailed information about the selected tree node.

6. #### case class UnitTree(unit: Global.CompilationUnit) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

### Abstract Value Members

1. #### abstract val global: Global

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to any2stringadd[TreeBrowsers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TreeBrowsers, B)

   Implicit information
     This member is added by an implicit conversion from TreeBrowsers to ArrowAssoc[TreeBrowsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object TreeInfo

   Computes different information about a tree node.

   Computes different information about a tree node. It is used as central place to do all pattern matching against Tree.

7. #### object TypePrinter

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### val borderSize: Int

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def create(): SwingBrowser

12. #### def ensuring(cond: (TreeBrowsers) ⇒ Boolean, msg: ⇒ Any): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (TreeBrowsers) ⇒ Boolean): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): TreeBrowsers

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to Ensuring[TreeBrowsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to StringFormat[TreeBrowsers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (TreeBrowsers, B)

    Implicit information
      This member is added by an implicit conversion from TreeBrowsers to ArrowAssoc[TreeBrowsers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TreeBrowsers to any2stringadd[TreeBrowsers]

### Inherited by implicit conversion StringFormat from TreeBrowsers to StringFormat[TreeBrowsers]

### Inherited by implicit conversion Ensuring from TreeBrowsers to Ensuring[TreeBrowsers]

### Inherited by implicit conversion ArrowAssoc from TreeBrowsers to ArrowAssoc[TreeBrowsers]

### Ungrouped